%define upstream_name    Dist-Zilla-PluginBundle-AMD
%define upstream_version 0.011

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Build your distributions like AMD does
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Plugin::AssertOS)
BuildRequires: perl(Dist::Zilla::Plugin::Authority)
BuildRequires: perl(Dist::Zilla::Plugin::AutoPrereqs)
BuildRequires: perl(Dist::Zilla::Plugin::CheckChangesHasContent)
BuildRequires: perl(Dist::Zilla::Plugin::EOLTests)
BuildRequires: perl(Dist::Zilla::Plugin::Git::CheckFor::CorrectBranch)
BuildRequires: perl(Dist::Zilla::Plugin::Git::Describe)
BuildRequires: perl(Dist::Zilla::Plugin::MetaConfig)
BuildRequires: perl(Dist::Zilla::Plugin::MetaJSON)
BuildRequires: perl(Dist::Zilla::Plugin::MetaResources)
BuildRequires: perl(Dist::Zilla::Plugin::NoTabsTests)
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver)
BuildRequires: perl(Dist::Zilla::Plugin::StaticVersion)
BuildRequires: perl(Dist::Zilla::Plugin::TaskWeaver)
BuildRequires: perl(Dist::Zilla::PluginBundle::Classic)
BuildRequires: perl(Dist::Zilla::PluginBundle::Filter)
BuildRequires: perl(Dist::Zilla::PluginBundle::Git)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(Method::Signatures::Simple)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Types::Email)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(MooseX::Types::Structured)
BuildRequires: perl(MooseX::Types::URI)
BuildRequires: perl(Pod::Weaver::PluginBundle::AMD)
BuildRequires: perl(namespace::autoclean)
BuildArch: noarch

%description
This is the the Dist::Zilla manpage configuration I use to build my
distributions.

It is roughly equivalent to:

  [@Basic] # without "License"

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc LICENSE README Changes META.json META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.11.0-10.mga8
+ Revision: 1494125
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.11.0-9.mga7
+ Revision: 1267299
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.11.0-8.mga6
+ Revision: 1025850
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.11.0-7.mga6
+ Revision: 949087
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.11.0-6.mga5
+ Revision: 789031
- Rebuild to potentially add missing dependencies
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.11.0-4.mga5
+ Revision: 684545
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.11.0-3.mga4
+ Revision: 511180
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.11.0-2.mga3
+ Revision: 366557
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 shlomif <shlomif> 0.11.0-1.mga3
+ Revision: 310181
- imported package perl-Dist-Zilla-PluginBundle-AMD


* Fri Oct 26 2012 cpan2dist 0.011-1mga
- initial mageia release, generated with cpan2dist
